# Uses of Class
org.apache.commons.math3.ml.neuralnet.twod.NeuronSquareMesh2D

Packages that use NeuronSquareMesh2D
Package
Description
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.
org.apache.commons.math3.ml.neuralnet.twod.util
Utilities to visualize two-dimensional neural networks.

## Uses of NeuronSquareMesh2D in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet with parameters of type NeuronSquareMesh2D
Modifier and Type
Method
Description
`static int[][]`
MapUtils.`computeHitHistogram(Iterable<double[]> data, NeuronSquareMesh2D map, DistanceMeasure distance)`
Computes the "hit" histogram of a two-dimensional map.
`static double[][]`
MapUtils.`computeU(NeuronSquareMesh2D map, DistanceMeasure distance)`
Computes the U-matrix of a two-dimensional map.

## Uses of NeuronSquareMesh2D in org.apache.commons.math3.ml.neuralnet.twod

Methods in org.apache.commons.math3.ml.neuralnet.twod that return NeuronSquareMesh2D
Modifier and Type
Method
Description
`NeuronSquareMesh2D`
NeuronSquareMesh2D.`copy()`
Performs a deep copy of this instance.

## Uses of NeuronSquareMesh2D in org.apache.commons.math3.ml.neuralnet.twod.util

Methods in org.apache.commons.math3.ml.neuralnet.twod.util with parameters of type NeuronSquareMesh2D
Modifier and Type
Method
Description
`double[][]`
HitHistogram.`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.
`double[][]`
MapDataVisualization.`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.
`double[][]`
MapVisualization.`computeImage(NeuronSquareMesh2D map)`
Creates an image of the `map`.
`double[][]`
QuantizationError.`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.
`double[][]`
SmoothedDataHistogram.`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.
`double[][]`
TopographicErrorHistogram.`computeImage(NeuronSquareMesh2D map, Iterable<double[]> data)`
Creates an image of the `data` metrics when represented by the `map`.
`double[][]`
UnifiedDistanceMatrix.`computeImage(NeuronSquareMesh2D map)`
Creates an image of the `map`.
Constructors in org.apache.commons.math3.ml.neuralnet.twod.util with parameters of type NeuronSquareMesh2D
Modifier
Constructor
Description
``
`LocationFinder(NeuronSquareMesh2D map)`
Builds a finder to retrieve the locations of neurons that belong to the given `map`.